Subject: bug#73404: 30.0.50; [forward/kill/etc]-sexp commands do not behave as expected in tree-sitter modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Dec 2024 15:40:22 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Theodor Thornhill <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   Mickey Petersen <[email-masked]>,  [email-masked],
>   Stefan Monnier <[email-masked]>
> Date: Mon, 30 Dec 2024 09:15:42 +0200
> 
> BTW, my initial intention was to add the thing 'list'.
> But then I discovered that (treesit-thing-next (point) 'list)
> uses the function 'list' instead of the thing 'list'.
> 
> However, the current 'sexp-list' as a two-word composite is too ugly.
> Now I found a better replacement: 'group'.  This word is already used
> in lisp.el such as in the docstring of 'forward-list':
> 
>   "Move forward across one balanced group of parentheses."
> 
> And the error messages: "No next group".

"Group" is too abstract and too removed from the actual thing.  I'm
quite sure we can do better.

What are the possible kinds of "groups", which are not balanced
parenthetical expressions?  Can you show a more-or-less exhaustive
list of them?  With that, we could try looking for a proper
terminology.

Thanks.